<template>
  <a-card
    :bordered="false"
    class="card-area"
  >
    <a-table
      ref="table"
      bordered
      size="middle"
      rowKey="id"
      :columns="columns"
      :dataSource="dataSource"
      :pagination="ipagination"
      :loading="loading"
      @change="handleTableChange"
    >
    </a-table>
  </a-card>
</template>

<script>
import { requestPut } from '@/api/manage'
import { JeecgListMixin } from '@/mixins/JeecgListMixin'

export default {
  name: 'InboundDetailList',
  mixins: [JeecgListMixin],
  components: {},
  data() {
    return {
      url: {
        list: '/tms/inboundDetail/list',
      },
      queryParam: {},
      nodeType: 0,
      dataSource: [],
      disableMixinCreated:true,
      columns: [
        {
          title: '工具编码',
          align: 'center',
          dataIndex: 'toolCode',
          width: '10%',
          key: 'toolCode'
        },
        {
          title: '工具名称',
          dataIndex: 'chineseName',
          align: 'center',
          key: 'toolName'
        },
        {
          title: '型号/图号',
          dataIndex: 'toolModel',
          align: 'center',
          key: 'toolModel'
        },
      
        {
          title: '工具分类',
          dataIndex: 'applicationType',
          align: 'center',
        },
        {
          title: '库位号',
          align: 'center',
          dataIndex: 'locationCode',
        },
         {
          title: '入库数量',
          dataIndex: 'inStorageQuantity',
          align: 'center',
        }
      ]
    }
  },

  methods: {


  },
  mounted() {
    this.$bus.$on('getToolingStorageData', (data) => {
      this.queryParam.inboundOrderId = data.id;
      this.searchQuery();
    })
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>